@echo off
IF EXIST textures\back exit

echo STATUS: applying dawn nude patch...

echo STATUS: creating textures backup directory
mkdir textures\back
echo STATUS: removing textures

move textures\b_Leaf_left_bmp_norm.tga textures\back
move textures\b_Leaf_left_col.dds textures\back
move textures\b_Leaf_left_transl.dds textures\back
move textures\b_Leaf_right_bmp_norm.tga textures\back
move textures\b_Leaf_right_col.dds textures\back
move textures\b_Leaf_right_transl.dds textures\back
move textures\b_Stem_bmp_norm.tga textures\back
move textures\b_Stem_col.dds textures\back
move textures\b_Stem_transl.dds textures\back
move textures\background.tga textures\back
move textures\f_antenae_bmp_norm.tga textures\back
move textures\f_antenae_col.dds textures\back
move textures\f_antenae_transl.dds textures\back
move textures\f_breastStem_bmp.dds textures\back
move textures\f_breastStem_col.dds textures\back
move textures\ft_Stems_bmp_norm.tga textures\back
move textures\ft_Stems_col.dds textures\back
move textures\ft_Stems_transl.dds textures\back
move textures\ft_Top_Left_bmp_norm.tga textures\back
move textures\ft_Top_Left_transl.dds textures\back
move textures\ft_Top_right_bmp_norm.tga textures\back
move textures\ft_Top_right_transl.dds textures\back
move textures\nv_badge.dds textures\back
move textures\p_Back_Frnt_Col.dds textures\back
move textures\p_Back_Frnt_bmp_norm.tga textures\back
move textures\p_Back_Frnt_transl.dds textures\back
move textures\p_Back_Sides_bmp_norm.tga textures\back
move textures\p_Back_Sides_col.dds textures\back
move textures\p_Back_Sides_transl.dds textures\back
move textures\p_Back_Small_bmp_norm.tga textures\back
move textures\p_Back_Small_col.dds textures\back
move textures\p_Back_Small_transl.dds textures\back
move textures\p_Bot_bmp_norm.tga textures\back
move textures\p_Bot_col.dds textures\back
move textures\p_Bot_transl.dds textures\back
move textures\p_Front_Sides_bmp_norm.tga textures\back
move textures\p_Front_Sides_col.dds textures\back
move textures\p_Front_Sides_transl.dds textures\back
move textures\s_Leaf_front_bmp_norm.tga textures\back
move textures\s_Leaf_front_col.dds textures\back
move textures\s_Leaf_front_transl.dds textures\back
move textures\w_Low_bmp_norm.tga textures\back
move textures\w_Low_bmp_norm_ultra.tga textures\back
move textures\w_Low_col.dds textures\back
move textures\w_Low_col_ultra.dds textures\back
move textures\w_Low_transl.dds textures\back
move textures\w_Mid_Transl.dds textures\back
move textures\w_Mid_bmp_norm.tga textures\back
move textures\w_Mid_bmp_norm_ultra.tga textures\back
move textures\w_Mid_col.dds textures\back
move textures\w_Mid_col_ultra.dds textures\back
move textures\w_Tips_bmp_norm.tga textures\back
move textures\w_Tips_col.dds textures\back
move textures\w_Tips_transl.dds textures\back

echo STATUS: creating shaders backup directory
mkdir shaders\back
mkdir shaders_ultra\back
echo STATUS: moving original shaders to backup directory

move shaders\finalDressTranspb8bv4.vp30	shaders\back        
move shaders\finalLeavesTranslFRb8bv4.vp30 shaders\back        
move shaders\finalLeavesTranslTranspFRb9bv4.vp30 shaders\back   
move shaders\finalLeavesWingsb1bv1m5.vp30 shaders\back        
move shaders\finalLeavesWingsb4bv4.vp30 shaders\back         
move shaders\finalLeavesWingsb7bv4.vp30 shaders\back           
move shaders\finalLeavesWingsb9bv4.vp30 shaders\back
move shaders\finalLeavesTranslFRb12bv4.vp30 shaders\back
move shaders\finalLeavesTranslFRb9bv4.vp30 shaders\back
move shaders\finalLeavesTranspb3bv3.vp30 shaders\back
move shaders\finalLeavesWingsb4bv2.vp30 shaders\back
move shaders\finalLeavesWingsb6bv4.vp30 shaders\back
move shaders\finalLeavesWingsb8bv4.vp30 shaders\back

move shaders_ultra\finalDressTranspb8bv4.vp30	shaders_ultra\back
move shaders_ultra\finalLeavesTranslTranspFRb9bv4.vp30 shaders_ultra\back
move shaders_ultra\finalLeavesWingsb1bv1m5.vp30 shaders_ultra\back        
move shaders_ultra\finalLeavesWingsb4bv4.vp30 shaders_ultra\back         
move shaders_ultra\finalLeavesWingsb7bv4.vp30 shaders_ultra\back           
move shaders_ultra\finalLeavesWingsb10bv4.vp30 shaders_ultra\back
move shaders_ultra\finalLeavesTranslFRb12bv4.vp30 shaders_ultra\back
move shaders_ultra\finalLeavesTranslFRb9bv4.vp30 shaders_ultra\back
move shaders_ultra\finalLeavesTranspb3bv3.vp30 shaders_ultra\back
move shaders_ultra\finalLeavesWingsb4bv2.vp30 shaders_ultra\back
move shaders_ultra\finalLeavesWingsb6bv4.vp30 shaders_ultra\back
move shaders_ultra\finalLeavesWingsb8bv4.vp30 shaders_ultra\back

echo STATUS: applying nude shaders
copy nude-patch\shaders\* shaders\

copy nude-patch\shaders_ultra\* shaders_ultra\

echo STATUS: Done. Dawn is now nude. Enjoy!